;------------------------------------------------------------------------------------------------------
; file:      : mfmplayer.inc
; written by : unknown (polish??)
; OS         : Win9X / ME / NT / 2K / XP
; language   : asm (MASM)
; translated : Pegasus[REN] (english documentation)
; Based on the miniFMod library by FMOD.ORG
;------------------------------------------------------------------------------------------------------

;------------------------------------------------------------------------------------------------------
mfmPlay		PROTO theSong:DWORD
;------------------------------------------------------------------------------------------------------
;parameter:	theSong			-> 	offset of song to play
;returnvalue in EAX			->	when EAX =  0, success
;						when EAX = -1, an error occured during song selection
;
;example:	invoke	mfmPlay,offset mySong	; will start playing the music
;		invoke	mfmPlay,NULL		; will stop / unload the module
;
;		preparing the data section:
;		mySong		dd	offset mySong_End - offset mySong - 4	; pre init to get the length
;				db	xxh, xxh, xxh, ....			; the song data
;		mySong_End	equ	$
;
;description:	playes a stored XM song 
;
;additional:	song data can be converted via Thigo-TableExtractor into DB file.
;------------------------------------------------------------------------------------------------------

;------------------------------------------------------------------------------------------------------
mfmGetPos	PROTO
;------------------------------------------------------------------------------------------------------
;returnvalue in EAX			->	actual pattern 
;returnvalue in EDX			->	position iside the actual pattern
;
;description:	shows the actual position inside a playing XM file
;------------------------------------------------------------------------------------------------------

;------------------------------------------------------------------------------------------------------
mfmPause	PROTO
;------------------------------------------------------------------------------------------------------
;returnvalue in EAX			->	when EAX =  1, pause modus is on
;						when EAX =  0, pause modus is off
;
;description:	pause the song play. If you call this function again, the player continues sound output.
;------------------------------------------------------------------------------------------------------
